## org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards
Class RelativeFileSelectionDialog.FileComparator

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards.RelativeFileSelectionDialog.FileComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<java.io.File>

Enclosing class:
  RelativeFileSelectionDialog

    public static class RelativeFileSelectionDialog.FileComparator

extends java.lang.Object
implements java.util.Comparator<java.io.File>, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RelativeFileSelectionDialog.FileComparator()`

Method Summary
`int` `compare(java.io.File o1, java.io.File o2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### RelativeFileSelectionDialog.FileComparator

    public RelativeFileSelectionDialog.FileComparator()

Method Detail

### compare

    public int compare(java.io.File o1,
                       java.io.File o2)

  Specified by:
    `compare` in interface `java.util.Comparator<java.io.File>`